wxWidgets: wxHtmlFilter Class Reference

| Version: 3.1.7

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxHtmlFilter Class Referenceabstract
Class List by Category » HTML

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.1/wxWidgets3.1-3.1.7-1.x86_64/src/wxWidgets-3.1.7/interface/wx/html/htmlfilt.h>`

Inheritance diagram for wxHtmlFilter:
[legend]

## Detailed Description

This class is the parent class of input filters for wxHtmlWindow.

It allows you to read and display files of different file formats.

##

Library: wxHTML
Category: HTML

See also
  Input Filters

## Public Member Functions
| wxHtmlFilter ()
| Constructor.
virtual bool | CanRead (const wxFSFile &file) const =0
| Returns true if this filter is capable of reading file file.
virtual wxString | ReadFile (const wxFSFile &file) const =0
| Reads the file and returns string with HTML document.
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to NULL the internal reference data.
| wxObject (const wxObject &other)
| Copy ctor.
virtual | ~wxObject ()
| Destructor.
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar).
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object.
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class.
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj.
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone.
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer.
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data.
void | UnShare ()
| This is the same of AllocExclusive() but this method is public.
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.
void * | operator new (size_t size, const wxString &filename=NULL, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined.

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object.
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it.
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data.
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data.

## Constructor & Destructor Documentation

## ◆ wxHtmlFilter()

wxHtmlFilter::wxHtmlFilter | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ CanRead()

virtual bool wxHtmlFilter::CanRead | ( | const wxFSFile & | file | ) | const
| pure virtual

Returns true if this filter is capable of reading file file.

Example:

bool MyFilter::CanRead(const wxFSFile& file)
{
return (file.GetMimeType() == "application/x-ugh");
}
wxFSFile
This class represents a single file opened by wxFileSystem.
Definition filesys.h:204
wxFSFile::GetMimeType
const wxString & GetMimeType() const
Returns the MIME type of the content of this file.

## ◆ ReadFile()

virtual wxString wxHtmlFilter::ReadFile | ( | const wxFSFile & | file | ) | const
| pure virtual

Reads the file and returns string with HTML document.

Example:

wxString MyImgFilter::ReadFile(const wxFSFile& file)
{
return "<html><body><img src=\"" + file.GetLocation() +
"\"></body></html>";
}
wxFSFile::GetLocation
const wxString & GetLocation() const
Returns full location of the file, including path and protocol.
wxString
String class for passing textual data to or receiving it from wxWidgets.
Definition string.h:315